--- native-install	2003-11-02 16:36:16.000000000 -0500
+++ native-install.fixed	2004-01-01 18:50:10.000000000 -0500
@@ -12,6 +12,22 @@
 
 # kernel-specific preconfiguration (before installing packages)
 
+# Make sure the filesystem is writeable
+echo I am just checking if your filesystem is really writeable.
+if [ -x /bin/fsysopts ]; then
+    /bin/fsysopts / --writable
+else
+    /bin/mount -o remount,rw /
+fi
+
+## This must come before evaluating `uname -s` because, on Hurd,
+## without the pflocal server set as a translator on
+## /servers/socket/1, pipes cannot be created.
+
+if [ ! -e /servers/socket/1 -a -x /bin/settrans ]; then
+    /bin/settrans -c /servers/socket/1 /hurd/pflocal
+fi
+
 case "`uname -s`" in
   GNU)
 	if [ -d /proc ] ; then 
@@ -19,10 +35,6 @@
 		exit 1
 	fi
 
-	# Make sure the filesystem is writeable
-	echo I am just checking if your filesystem is really writeable.
-	fsysopts / --writable
-
 	if [ ! -e /dev/console ] ; then
 
 		# Set up standard passive translators

